## Apache Zeta Components Manual :: Docs For Class ezcTemplateXhtmlContext

### Template::ezcTemplateXhtmlContext

### Class ezcTemplateXhtmlContext

The ezcTemplateXhtmlContext class escapes special HTML characters in the output.

Source for this file: /Template/src/contexts/xhtml_context.php

### Implements interfaces:

- ezcTemplateOutputContext

Version: | //autogen//

### Method Summary

public string | `identifier( )` Returns the unique identifier for the context handler.
public ezcTemplateAstNode | `transformOutput( $node )` Escapes special HTML characters in the output.

### Methods

#### identifier

string identifier( )

Returns the unique identifier for the context handler.

##### Implementation of:

Method | Description
--- | ---
`ezcTemplateOutputContext::identifier()` | Returns the unique identifier for the context handler. This is used to uniquely identify the handler, e.g. it is included in the path of compiled files.

#### transformOutput

ezcTemplateAstNode transformOutput( $node )

Escapes special HTML characters in the output.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcTemplateAstNode |

##### Implementation of:

Method | Description
--- | ---
`ezcTemplateOutputContext::transformOutput()` | Transforms an expressions so it can be displayed in the current output context correctly.

Documentation generated by phpDocumentor 1.4.3